Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`pop3`.`_HeadersPlusNLines``

class documentation

`class _HeadersPlusNLines: (source)`

Constructor: `_HeadersPlusNLines(file, extraLines)`

View In Hierarchy

A utility class to retrieve the header and some lines of the body of a mail message.

Method | `__init__` | No summary
Method | `read` | Scan bytes from the file.
Instance Variable | `buf` | The portion of the message body that has been scanned, up to `n` lines.
Instance Variable | `done` | A flag indicating when the desired part of the message has been scanned.
Instance Variable | `headers` | An indication of which part of the message is being scanned. `True` for the header and `False` for the body.
Instance Variable | `linecount` | The number of full lines of the message body scanned.
Instance Variable | `_extraLines` | See `__init__`
Instance Variable | `_file` | See `__init__`

def __init__(self, file, extraLines): (source)

Parameters
file:file-like object | A file containing a mail message.
extraLines:`int` | The number of lines of the message body to retrieve.

def read(self, bytes): (source)

Scan bytes from the file.

Parameters
bytes:`int` | The number of bytes to read from the file.
Returns
`bytes` | Each portion of the header as it is scanned. Then, full lines of the message body as they are scanned. When more than one line of the header and/or body has been scanned, the result is the concatenation of the lines. When the scan results in no full lines, the empty string is returned.

buf: `bytes` = (source)

The portion of the message body that has been scanned, up to `n` lines.

done: `bool` = (source)

A flag indicating when the desired part of the message has been scanned.

headers: `bool` = (source)

An indication of which part of the message is being scanned. `True` for the header and `False` for the body.

linecount: `int` = (source)

The number of full lines of the message body scanned.

_extraLines = (source)

See `__init__`

_file = (source)

See `__init__`